<?php
///////////////////////////////////////////////////
//2010 (C)
//Карпухин Павел
///////////////////////////////////////////////////
require_once "../utils/chlang.php";

$title=$titlepage = $TEXT['zal-title'];

require_once "../config_a.php";
require_once "../utils/functions.php";
require_once "../utils/top_adm.php";

if($result2['administrator'] == 0) {puterror($result2['skin'],$TEXT['error-loginform2']); require_once "../utils/bottom_adm.php"; exit();}

if(empty($_POST['zal_id'])) {puterror($result2['skin'],$TEXT['error-no-id']); require_once "../utils/bottom_adm.php"; exit();}
if(strlen($_POST['zal_id'])>5) {puterror($result2['skin'],$TEXT['error-id-long']); require_once "../utils/bottom_adm.php"; exit();}
if(empty($_POST['zal'])) {puterror($result2['skin'],$TEXT['error-zal1']); require_once "../utils/bottom_adm.php"; exit();}
if(strlen($_POST['zal'])>255) {puterror($result2['skin'],$TEXT['error-zal2']); require_once "../utils/bottom_adm.php"; exit();}

if(isset($_POST['zal'])) {$zal=trim($_POST['zal']);}
 else {$zal="";}
   if(empty($zal)) {puterror($result2['skin'],$TEXT['error-spaces']); require_once "../utils/bottom_adm.php"; exit();}

$_POST['zal'] = rep($_POST['zal']);
$_POST['zal_id'] = rep($_POST['zal_id']);

$query11 = mysqli_query($dbcnx,"SELECT COUNT(`zal_id`) AS c_zal_id FROM `tbl_zal` WHERE `zal`='".$_POST['zal']."' ");
$result11 = mysqli_fetch_array($query11);
 if($result11['c_zal_id']>0) {puterror($result2['skin'],$TEXT['error-double']); require_once "../utils/bottom_adm.php"; exit();}

  //*************************************
  //Информация для лога
  $query10 = "SELECT `zal` FROM `tbl_zal` WHERE `zal_id`='".$_POST['zal_id']."' ";
  $result10 = mysqli_query($dbcnx,$query10);
  if(!$result10) {puterror($result2['skin'],$TEXT['error-tbl11']); require_once "../utils/bottom_adm.php"; exit();}
      $result_izd = mysqli_fetch_array($result10);

  $ip = $_SERVER['REMOTE_ADDR'];
  $doing = $TEXT['log-zal3'];
  $what = $result_izd['zal'].$TEXT['log-na'].$_POST['zal'].$TEXT['log-id'].$_POST['zal_id'];
  $who = $result2['familiya']." ".$result2['name'];
  //*************************************
  $query = "UPDATE `tbl_zal` SET `zal` = '".$_POST['zal']."' WHERE `zal_id`='".$_POST['zal_id']."' LIMIT 1";
  if(mysqli_query($dbcnx,$query))
  {
    $query2 = "INSERT INTO tbl_logs ( `log_id` , `data` , `ip` , `who` , `doing` , `what` ) VALUES ( NULL , NOW() , '$ip' , '$who' , '$doing' , '$what')";
        if(mysqli_query($dbcnx,$query2))
           {
             echo "<html><head>
                   <meta HTTP-EQUIV='Refresh' CONTENT='0; URL=index.php' />
                   </head></html>";
           } else {puterror($result2['skin'],$TEXT['error-log']); require_once "../utils/bottom_adm.php"; exit();}
  } else {puterror($result2['skin'],$TEXT['error-tbl11']); require_once "../utils/bottom_adm.php"; exit();}
require_once "../utils/bottom_adm.php";
?>